#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:providerclassname) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
  The provider class name.

  This is the class name of the authentication provider you are creating. This is a parameter
  and will only be used during creatio of the provider. **You cannot change a class name of a provider.**

      wls_authentication_provider{'my_athentication_provider':
        ...
        classname => 'LDAPAUthenticator'
        ...
      }

  Check [The WebLogic documentation](http://docs.oracle.com/cd/E17904_01/web.1111/e13707/atn.htm#SECMG169) for
  a list of valid classes.

  EOD

  to_translate_to_resource do | raw_resource|
    raw_resource['providerclassname']
  end

end
