#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:job_scheduler_table_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The table name to use for storing timers active with the job scheduler 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         job_scheduler_table_name => 'weblogic_timers'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:job_scheduler_table_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JobSchedulerTableName')
end
