#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:console_extension_directory, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  Returns the directory path that console extensions are loaded from. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         console_extension_directory => 'console-ext'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:console_extension_directory']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ConsoleExtensionDirectory')
end
