#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_buffer_size_kb, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  

  desc <<-EOD
  Gets the underlying log buffer size in kilobytes 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_buffer_size_kb => '8'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_buffer_size_kb']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{domain_name}/BufferSizeKB')
end
