#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_memory_buffer_severity, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The minimum severity of log messages going to the memory buffer of recent log events. Messages with a lower severity than the specified value will not be cached in the buffer. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_memory_buffer_severity => 'Trace'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_memory_buffer_severity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{domain_name}/MemoryBufferSeverity')
end
