#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_stdout_filter, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The filter configuration for log events being sent to the standard out. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_stdout_filter => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_stdout_filter']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{domain_name}/StdoutFilter')
end
