#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ignore_sessions_during_shutdown, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates if the Elasticity Framework should ignore inflight HTTP sessions while shutting down servers. 

  An example on how to use this:

      wls_dynamic_cluster {a_wls_dynamic_cluster :
         ...
         ignore_sessions_during_shutdown => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_dynamic_cluster:ignore_sessions_during_shutdown']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('IgnoreSessionsDuringShutdown')
end
