#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:client_reconnect_policy, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies which types of JMS clients will be explicitly and implicitly refreshed after a lost network connection with a server or upon a server reboot. For example, selecting the Producers option will explicitly refresh JMS Producers and implicitly refresh any related Session and Connection clients.  <ul> <li>None Do not refresh any JMS clients derived from this connection factory.</li>  <li>Producers Refresh all JMS Producer clients derived from this connection factory. This option does not refresh Consumers, QueueBrowsers, or Connections with a configured Client ID for a durable subscriber.</li>  <li>All Refresh all JMS Consumer and Producer clients derived from this connection factory, including Connections with a configured Client ID for a durable subscriber. This option does not refresh QueueBrowser clients.</li> </ul>  This attribute is dynamic and can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory. 

  An example on how to use this:

      wls_jms_connection_factory {a_wls_jms_connection_factory :
         ...
         client_reconnect_policy => 'producer'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_connection_factory:client_reconnect_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ClientParams/%{connection_factory_name}/ReconnectPolicy')
end
