#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:delivery_default_unit_of_order, :parent => Puppet::Parameter::WlsProperty) do

    desc <<-EOD
  The default Unit-of-Order name for producers that connect using this connection factory. A Unit-of-Order allows for messages to be processed in a certain order, even among multiple recipients.  <code>System-generated</code> indicates that WebLogic Server will automatically generate a Unit-of-Order name. <code>User-Generated</code> indicates that the Unit-of-Order name will come from the name specified name in the <code>Unit-of-Order Name</code> field. If <code>None</code> is selected, no message ordering is enforced. 

  An example on how to use this:

      wls_jms_connection_factory {a_wls_jms_connection_factory :
         ...
         delivery_default_unit_of_order => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_connection_factory:delivery_default_unit_of_order']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultDeliveryParams/%{connection_factory_name}/DefaultUnitOfOrder')
end
