#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:delivery_send_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum length of time, in milliseconds, that a sender will wait when there isn't enough available space (no quota) on a destination to accommodate the message being sent.  The default time is 10 milliseconds. A value of 0 indicates that the sender does not want to wait for space.   This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections or their producers. It only affects new connections made with this connection factory. Producers inherit the setting from the connection factory used to create their session and connection. The value can then be overridden at run time by setting the value on the producer.  

  An example on how to use this:

      wls_jms_connection_factory {a_wls_jms_connection_factory :
         ...
         delivery_send_timeout => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_connection_factory:delivery_send_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultDeliveryParams/%{connection_factory_name}/SendTimeout')
end
