#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:override_priority, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The priority assigned to all messages that arrive at this destination, regardless of the Priority specified by the message producer. The default value (-1) specifies that the destination will not override the Priority set by the message producer.  Note: This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         override_priority => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_queue:override_priority']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DeliveryParamsOverrides/%{queue_name}/Priority')
end
