#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:attach_sender, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether messages landing on destinations that use this template should attach the credential of the sending user.  <ul> <li>Supports The JMSXUserID property is set with the security principal of the sending user if requested. The sender can request its identity to be attached to its messages by using a ConnectionFactory with <code>AttachJMSXUserID="true"</code>.</li>  <li>Never The JMSXUserID property is never be set with the security principal of the sending user.</li>  <li>Always The JMSXUserID property is always set with the security principal of the sending user.</li> </ul>  This property is dynamically configurable. A dynamic change will only affect messages received after the update has been made. 

  An example on how to use this:

      wls_jms_template {a_wls_jms_template :
         ...
         attach_sender => 'supports'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_template:attach_sender']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AttachSender')
end
