#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:properties, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The configuration options and user authentication data that this mail session uses to interact with a mail server. Each property that you specify overrides the default property value as defined by the JavaMail API Design Specification. Include only the properties defined by the JavaMail API Design Specification. If you do not specify any properties, this mail session will use the JavaMail default property values. Express each property as a <code>name=value</code> pair. Separate multiple properties with a semicolon (<code>;</code>). 

  An example on how to use this:

      wls_mail_session {a_wls_mail_session :
         ...
         properties => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_mail_session:properties']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Properties')
end
