#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:session_username, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
   Returns the username to be used to create an authenticated JavaMail Session, using a JavaMail <code>Authenticator</code> instance; if this is not set, it will be assumed that the Session is not to be authenticated.  

  An example on how to use this:

      wls_mail_session {a_wls_mail_session :
         ...
         session_username => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_mail_session:session_username']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SessionUsername')
end
