#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:failback_delay_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Specifies the amount of time, in seconds, to delay before failing a cluster targeted JMS artifact instance back to its preferred server after the preferred server failed and was restarted.  This delay allows time for the system to stabilize and dependent services to be restarted, preventing a system failure during a reboot.  <ul> <li>A value > <code>0</code> specifies the time, in seconds, to delay before failing a JMS artifact back to its user preferred server.</li> <li>A value of <code>0</code> specifies there is no delay and the dynamic load balancer manages the failback process.</li> <li>A value of <code>-1</code> specifies the default delay value is used.</li> </ul>  Note: This setting only applies when the JMS artifact is cluster targeted and the Migration Policy is set to <code>On-Failure</code> or <code>Always></code>. 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         failback_delay_seconds => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:failback_delay_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('FailbackDelaySeconds')
end
