#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:source_destination, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The source destination from which this messaging bridge instance reads messages. 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         source_destination => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:source_destination']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SourceDestination')
end
