#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:remotecontext, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  the SAF Remote Context of this SAF imported destination

  EOD

  maps_to('SAFRemoteContext/')

  on_apply do
    apply_paths_with_reference("/JMSSystemResources/#{resource[:jmsmodule]}/JMSResource/#{resource[:jmsmodule]}/SAFRemoteContexts/", value)
  end

end

#
# Make sure the top level jms module is auto required
#
child_of(:wls_saf_remote_context, :remotecontext) { "#{domain}/#{jmsmodule}:#{remotecontext}" }
