#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_time_span, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The interval (in hours) at which the server saves old log messages to another file. (Requires that you specify a file rotation type of <code>TIME</code>.) 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         log_file_time_span => '24'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:log_file_time_span']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JMSSAFMessageLogFile/%{safagent_name}/FileTimeSpan')
end
