#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:admin_reconnect_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of seconds between reconnection attempts to the admin server. When the admin server fails the managed server will periodically try to connect back to it. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         admin_reconnect_interval_seconds => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:admin_reconnect_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AdminReconnectIntervalSeconds')
end
