#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_internal_servlets_disabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether all default servlets in the servlet engine are disabled.  This includes: weblogic.servlet.ClasspathServlet weblogic.servlet.utils.iiop.GetIORServlet weblogic.rjvm.http.TunnelSendServlet weblogic.rjvm.http.TunnelRecvServlet weblogic.rjvm.http.TunnelLoginServlet weblogic.rjvm.http.TunnelCloseServlet If set to true, this property overrides the ClasspathServletDisabled property. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         default_internal_servlets_disabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:default_internal_servlets_disabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('DefaultInternalServletsDisabled')
end
