#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_tgiop_user, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The default user associated with the Tuxedo GIOP (TGIOP) protocol. (Requires you to configure WebLogic Tuxedo Connector (WTC) for this server.) 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         default_tgiop_user => 'guest'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:default_tgiop_user']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultTGIOPUser')
end
