#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_stdout_format, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The output format to use when logging to the console. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_stdout_format => 'standard'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_stdout_format']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{server_name}/StdoutFormat')
end
