#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:migration_constrained_candidate_servers, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The list of servers this JTA migratable target should be constrained to

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:migration_constrained_candidate_servers']
         ...
      }


  EOD

  # defaultto []

  maps_to('JTAMigratableTarget/%{server_name}/ConstrainedCandidateServers/') {}

  on_apply do
    apply_paths_with_references('/Servers', value)
  end

end
