#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:overload_free_memory_percent_low_threshold, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Percentage free memory below which the server is considered overloaded. WorkManagers perform overloadAction once the server is marked as overloaded. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         overload_free_memory_percent_low_threshold => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:overload_free_memory_percent_low_threshold']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('OverloadProtection/%{server_name}/FreeMemoryPercentLowThreshold')
end
