#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xml_entity_cache, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The server's XML entity cache, which is used to configure the behavior of JAXP (Java API for XML Parsing). 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         xml_entity_cache => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:xml_entity_cache']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('XMLEntityCache')
end
