#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:accept_backlog, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of backlogged, new TCP connection requests that should be allowed for this server's regular and SSL ports.  Setting the backlog to <code>0</code> may prevent this server from accepting any incoming connection on some operating systems. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         accept_backlog => '300'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:accept_backlog']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AcceptBacklog')
end
