#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_secure_protocol, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The protocol to use for secure connections when none is specified. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         default_secure_protocol => 't3s'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:default_secure_protocol']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultSecureProtocol')
end
