#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_jsse_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Determines whether the SSL implementation in Weblogic Server is JSSE based. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_jsse_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_jsse_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('SSL/%{template_name}/JSSEEnabled')
end
