#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:thread_pool_percent_socket_readers, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The percentage of execute threads from the default queue that can be used as socket readers. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         thread_pool_percent_socket_readers => '33'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:thread_pool_percent_socket_readers']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ThreadPoolPercentSocketReaders')
end
