#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:create_table_ddl_file, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies the DDL (Data Definition Language) file to use for creating the JDBC store's backing table.  <ul> <li> This field is ignored when the JDBC store's backing table, <code>WLStore</code>, already exists. </li>  <li> If a DDL file is not specified and the JDBC store detects that a backing table doesn't already exist, the JDBC store automatically creates the table by executing a preconfigured DDL file that is specific to the database vendor. These preconfigured files are located in the  <code>weblogic\store\io\jdbc\ddl</code> directory of the <code>MIDDLEWARE_HOME\modules\com.bea.core.store.jdbc_x.x.x.x.jar</code> file. </li>  <li> If a DDL file is specified and the JDBC store detects that a backing table doesn't already exist, then the JDBC store searches for the DDL file in the file path first, and then if the file is not found, it searches for it in the CLASSPATH. Once found, the SQL within the DDL file is executed to create the JDBC store's database table. If the DDL file is not found and the backing table doesn't already exist, the JDBC store will fail to boot. </li> </ul> 

  An example on how to use this:

      wls_server_tlog {a_wls_server_tlog :
         ...
         create_table_ddl_file => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_tlog:create_table_ddl_file']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CreateTableDDLFile')
end
