#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:network_access_point, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The dedicated server channel name (NetworkAccessPoint) for which this virtual host will serve http request. If the NetworkAccessPoint for a given http request doesn't match any virtual host's NetworkAccessPoint, incoming HOST header will be matched with the VirtualHostNames in order to resolve the right virtual host.  

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         network_access_point => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:network_access_point']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('NetworkAccessPoint')
end
