#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:write_chunk_bytes, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The default size of the blocks to be written to the network layer.  Gets the writeChunkBytes attribute of the WebServerMBean object 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         write_chunk_bytes => '512'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:write_chunk_bytes']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WriteChunkBytes')
end
