#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:explicit_port, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Get the explicit port for this VirtualTarget. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         explicit_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:explicit_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ExplicitPort')
end
