#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:constrainttype) do
  include EasyType

  desc <<-EOD
  Workmanager constraint name

  EOD

  newvalues(
      'absent',
      'MaxThreadsConstraint',
      'MinThreadsConstraint',
      'Capacity',
      'FairShareRequestClass',
      'ResponseTimeRequestClass'
      # 'ContextRequestClass',  # Not Yet supported TODO: Make this work
    )

  on_modify do
    fail "You can't change the constrainttype. You 'll have to create a new constraint."
  end

  to_translate_to_resource do | raw_resource|
    case raw_resource[:constrainttype_folder]
    when 'MaxThreadsConstraints' then 'MaxThreadsConstraint'
    when 'MinThreadsConstraints' then 'MinThreadsConstraint'
    when 'Capacities' then 'Capacity'
    when 'FairShareRequestClasses' then 'FairShareRequestClass'
    when 'ResponseTimeRequestClasses' then 'ResponseTimeRequestClass'
    else
        fail "#{raw_resource[:constrainttype_folder]} is an invalid constrainttype_folder"
    end
  end

end
